//=============================================================================
// Projekt      : MAS-SE 15: Trainings-Kurs
// Titel        : Ü11: Fibonacci
// Dateiname    : Fibonacci.java
// Autor        : Thomas Letsch
// Beschreibung : Bestimmung der Fibonacci-Folge.
// $Revision    : 1.7 $  $Date: 2015/01/26 16:23:15 $
//=============================================================================


import java.util.Scanner;


public class Fibonacci {

    public static void main(String[] args) {

        // Verbindung zur Standard-Eingabe resp.zum Keyboard:
        Scanner eingabe = new Scanner(System.in);

        System.out.print("Anzahl der zu berechnenden Fibonacci-Zahlen (>=2): ");
        int anzahl = eingabe.nextInt();
        
        // Ausgabe der ersten beiden Fibonacci-Zahlen:
        System.out.print("Die ersten "+anzahl+" Fibonacci-Zahlen: 1, 1");
        
        // die jeweils beiden lezten Fibonacci-Zahlen:
        int fibNminus1 = 1;
        int fibNminus2 = 1;
        
        // Berechnung der gewünschen Fibonacci-Zahlen ab der dritten: 
        for (int i = 3; i <= anzahl; i++) {
            int fibN = fibNminus1 + fibNminus2;
            System.out.print(", " + fibN);
            fibNminus2 = fibNminus1;
            fibNminus1 = fibN;
        }
        eingabe.close();
    }
}




/* Session-Log:

Anzahl der zu berechnenden Fibonacci-Zahlen (>=2): 14
Die ersten 14 Fibonacci-Zahlen: 1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144, 233, 377

*/

