//=============================================================================
// Projekt      : MAS-SE 15: Trainings-Kurs
// Titel        : Ü15: Quersumme
// Dateiname    : Quersumme.java
// Autor        : Thomas Letsch
// Beschreibung : Berechnung der Quersumme.
// $Revision    : 1.15 $  $Date: 2015/01/26 16:26:15 $
//=============================================================================


import java.util.Scanner;


public class Quersumme { 

    public static void main(String[] args) {
      
        // Verbindung zur Standard-Eingabe resp.zum Keyboard:
        Scanner eingabe = new Scanner(System.in);  
    
        System.out.print("Zahl fuer Quersumme-Berechnung (>=0) : ");
        int zahl = eingabe.nextInt();
        
        if (zahl < 0) {
            System.out.println("ERROR: Nur Zahlen >= 0 !");
            eingabe.close();
            return;
        }
        
        int quersumme = 0;
        do {
            quersumme = quersumme + (zahl % 10);
            zahl = zahl / 10;
        } while (zahl != 0);
        
        System.out.println("Quersumme                            = " + quersumme);
        eingabe.close();
    }
}



/* Session-Log:

Zahl fuer Quersumme-Berechnung (>=0) : -1
ERROR: Nur Zahlen >= 0 !

Zahl fuer Quersumme-Berechnung (>=0) : 0
Quersumme                            = 0

Zahl fuer Quersumme-Berechnung (>=0) : 1
Quersumme                            = 1

Zahl fuer Quersumme-Berechnung (>=0) : 10
Quersumme                            = 1

Zahl fuer Quersumme-Berechnung (>=0) : 101
Quersumme                            = 2

Zahl fuer Quersumme-Berechnung (>=0) : 123
Quersumme                            = 6

*/
