//=============================================================================
// Projekt      : MAS-SE 15: Trainings-Kurs
// Titel        : Ü17: Primzahlen
// Dateiname    : Primzahlen.java
// Autor        : Thomas Letsch
// Beschreibung : Primzahlen aus einem definierten Bereich bestimmen.
//                Bemerkung: Oberer Grenze muss >= 2 sein.
// $Revision    : 1.16 $  $Date: 2015/01/26 16:28:15 $
//=============================================================================


import java.util.Scanner;


public class Primzahlen { 

    public static void main(String[] args) {
  
        // Verbindung zur Standard-Eingabe resp.zum Keyboard:
        Scanner eingabe = new Scanner(System.in);  
    
        System.out.println("Geben Sie den Bereich ein.");
        System.out.print("Untere Grenze (>=2): ");
        int untereGrenze = eingabe.nextInt();
        System.out.print("Obere Grenze       : ");
        int obereGrenze = eingabe.nextInt(); 
        System.out.print("Primzahlen         : ");
        if (untereGrenze <= 1) {
            untereGrenze = 2;
        }
        if (untereGrenze == 2) {
            System.out.print(2 + " ");  
            untereGrenze++;
        }
        int testZahl = untereGrenze;
        if ((testZahl % 2) == 0) {    // gerade Zahl?
            testZahl++;                 // nur ungerade Zahlen!
        }
        for ( ; testZahl <= obereGrenze; testZahl = testZahl + 2) {
            int divisor = 3;  
            int rest = 1;
            while((rest != 0) && (divisor < testZahl/2)){ // oder < sqrt(testZahl)
                rest = testZahl % divisor;
                divisor = divisor + 2;
            }
            if (rest != 0) { 
                System.out.print(testZahl + " ");
            }
        }     
        eingabe.close();
    }
}




/* Session-Log:

Geben Sie den Bereich ein.
Untere Grenze (>=2): 2
Obere Grenze       : 80
Primzahlen         : 2 3 5 7 11 13 17 19 23 29 31 37 41 43 47 53 59 61 67 71 73 79 

*/
