//=============================================================================
// Projekt      : MAS-SE 15: Trainings-Kurs
// Titel        : Ü14: Fakultät
// Dateiname    : Fakultaet.java
// Autor        : Thomas Letsch
// Beschreibung : Berechnung der Fakultät.
// $Revision    : 1.16 $  $Date: 2015/01/26 16:25:15 $
//=============================================================================


import java.util.Scanner;


public class Fakultaet {

    public static void main(String[] args) {

        // Verbindung zur Standard-Eingabe resp.zum Keyboard:
        Scanner eingabe = new Scanner(System.in);  
    
        System.out.print("Zahl fuer Fakultaets-Berechnung (>=0) : ");
        int zahl = eingabe.nextInt();
        
        int fakultaet = 1;
        if (zahl < 0) {
            System.out.println("ERROR: Nur Zahlen >= 0 !");
            eingabe.close();
            return;
        }
        else {
            for (int n = 1; n <= zahl; n++) {
                fakultaet = fakultaet * n;
            }
        }
        System.out.println("Fakultaet                             = " + fakultaet);
        eingabe.close();
    }
}



/* Session-Log:

Zahl fuer Fakultaets-Berechnung (>=0) : -1
ERROR: Nur Zahlen >= 0 !

Zahl fuer Fakultaets-Berechnung (>=0) : 0
Fakultaet                             = 1

Zahl fuer Fakultaets-Berechnung (>=0) : 1
Fakultaet                             = 1

Zahl fuer Fakultaets-Berechnung (>=0) : 2
Fakultaet                             = 2

Zahl fuer Fakultaets-Berechnung (>=0) : 3
Fakultaet                             = 6

Zahl fuer Fakultaets-Berechnung (>=0) : 4
Fakultaet                             = 24

Zahl fuer Fakultaets-Berechnung (>=0) : 11
Fakultaet                             = 39916800

Zahl fuer Fakultaets-Berechnung (>=0) : 12
Fakultaet                             = 479001600

Zahl fuer Fakultaets-Berechnung (>=0) : 13
Fakultaet                             = 1932053504


# Bemerkung: Fakultät von 13 wäre korrekt = 6227020800 !

*/
