//=============================================================================
// Projekt      : MAS-SE 15: Trainings-Kurs
// Titel        : Ü16: Zahlen raten
// Dateiname    : Spiel.java
// Autor        : Thomas Letsch
// Beschreibung : Spiel: "Zahl raten"
// $Revision    : 1.16 $  $Date: 2015/01/26 16:27:15 $
//=============================================================================


import java.util.Scanner;


public class Spiel { 

    public static void main(String[] args) {
        
        // Verbindung zur Standard-Eingabe resp.zum Keyboard:
        Scanner eingabe = new Scanner(System.in);  
            
        int zufallsZahl = (int) (101 * Math.random());
        int eingegebenZahl = -1;
        int anzahlVersuche = 0;
        do {
            System.out.print("Geben Sie eine Zahl ein: ");
            eingegebenZahl = eingabe.nextInt(); 
            anzahlVersuche++;
            if (eingegebenZahl < zufallsZahl) {
                System.out.println("  Sorry, Zahl ist zu klein.");
            }
            if (eingegebenZahl > zufallsZahl) {
                System.out.println("  Sorry, Zahl ist zu gross.");
            }   
        } while (eingegebenZahl != zufallsZahl);
        
        System.out.println("\nBingo !\n");
        System.out.println("Anzahl Versuche: " + anzahlVersuche);
        
        eingabe.close();
    }
}





/* Session-Log:
 
Geben Sie eine Zahl ein: 50
  Sorry, Zahl ist zu gross.
Geben Sie eine Zahl ein: 25
  Sorry, Zahl ist zu klein.
Geben Sie eine Zahl ein: 37
  Sorry, Zahl ist zu gross.
Geben Sie eine Zahl ein: 31
  Sorry, Zahl ist zu gross.
Geben Sie eine Zahl ein: 28
  Sorry, Zahl ist zu gross.
Geben Sie eine Zahl ein: 26
  Sorry, Zahl ist zu klein.
Geben Sie eine Zahl ein: 27

Bingo !

Anzahl Versuche: 7

*/
